| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
Digikam::OverlayWidget Class Reference

This is a widget that can align itself with another one, without using a layout, so that it can actually be on top of other widgets. More...

Inheritance diagram for Digikam::OverlayWidget:

## Public Member Functions
| OverlayWidget (QWidget *const alignWidget, QWidget *const parent, const QString &name=QString())
QWidget * | alignWidget () const
void | setAlignWidget (QWidget *const alignWidget)
Public Member Functions inherited from Digikam::DHBox
| DHBox (QWidget *const parent=nullptr)
QSize | minimumSizeHint () const override
void | setContentsMargins (const QMargins &margins)
void | setContentsMargins (int left, int top, int right, int bottom)
void | setSpacing (int space)
void | setStretchFactor (QWidget *const widget, int stretch)
QSize | sizeHint () const override

## Protected Member Functions
bool | eventFilter (QObject *o, QEvent *e) override
void | resizeEvent (QResizeEvent *ev) override
Protected Member Functions inherited from Digikam::DHBox
| DHBox (bool vertical, QWidget *const parent)
void | childEvent (QChildEvent *e) override

## Detailed Description

Currently the only supported type of alignment is "right aligned, on top of the other widget".

OverlayWidget inherits DHBox for convenience purposes (layout, and frame)